package cn.com.oa.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName bpm_tache_instance
 */
@TableName(value ="bpm_tache_instance")
@Data
public class TacheInstance implements Serializable {
    /**
     * 流程环节实例id
     */
    @TableId
    private Long lTinsId;

    /**
     * 流程实例id
     */
    private Long lInsId;

    /**
     * 流程模版id
     */
    private Long lModelId;

    /**
     * 流程环节模版id
     */
    private Long lTmodelId;

    /**
     * 流程环节实例用户
     */
    private String vUser;

    /**
     * 流程环节实例备注
     */
    private String vRemark;

    /**
     * 流程环节创建时间
     */
    private Date dCreatedate;

    /**
     * 流程环节销毁时间
     */
    private Date dCanceldate;

    /**
     * 流程环节状态
     */
    private Integer nState;

    /**
     * 流程环节完成时间
     */
    private Date dFinishdate;

    /**
     * 是否短信提醒
     */
    private Integer nIsSms;

    /**
     * 是否消息提醒
     */
    private Integer nIsMessage;

    /**
     * 是否启动结束环节
     */
    private Integer nSe;

    /**
     * 上一环节实例id
     */
    private String lPreTinsId;

    /**
     * 并行环节标识（0表示非并行）
     */
    private String vParallel;

    /**
     * 环节附件id
     */
    private String lFileId;

    /**
     * 下一步环节实例数量
     */
    private Integer nHasNext;

    /**
     * 下一步环节模版数量
     */
    private Integer nNext;

    /**
     * 流程环节实例用户部门id
     */
    private Long lGroupid;

    /**
     * 是否邮件提醒
     */
    private Integer nIsEmail;

    /**
     * 用户职位部门中间表id
     */
    private Long lGroupxuserid;

    /**
     * 授权用户
     */
    private Long lAuthorizedUser;

    /**
     * 上次催办时间
     */
    private Date dLastUrgeTime;

    /**
     * 完成后是否被下一环节回退
     */
    private Integer nHasReturn;

    /**
     * 是否推迟办理
     */
    private Integer nDelay;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", lTinsId=").append(lTinsId);
        sb.append(", lInsId=").append(lInsId);
        sb.append(", lModelId=").append(lModelId);
        sb.append(", lTmodelId=").append(lTmodelId);
        sb.append(", vUser=").append(vUser);
        sb.append(", vRemark=").append(vRemark);
        sb.append(", dCreatedate=").append(dCreatedate);
        sb.append(", dCanceldate=").append(dCanceldate);
        sb.append(", nState=").append(nState);
        sb.append(", dFinishdate=").append(dFinishdate);
        sb.append(", nIsSms=").append(nIsSms);
        sb.append(", nIsMessage=").append(nIsMessage);
        sb.append(", nSe=").append(nSe);
        sb.append(", lPreTinsId=").append(lPreTinsId);
        sb.append(", vParallel=").append(vParallel);
        sb.append(", lFileId=").append(lFileId);
        sb.append(", nHasNext=").append(nHasNext);
        sb.append(", nNext=").append(nNext);
        sb.append(", lGroupid=").append(lGroupid);
        sb.append(", nIsEmail=").append(nIsEmail);
        sb.append(", lGroupxuserid=").append(lGroupxuserid);
        sb.append(", lAuthorizedUser=").append(lAuthorizedUser);
        sb.append(", dLastUrgeTime=").append(dLastUrgeTime);
        sb.append(", nHasReturn=").append(nHasReturn);
        sb.append(", nDelay=").append(nDelay);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}